/* ============================================ open: ESTILOS LISTADO NOTICIAS ============================================ */
.noticias-listado {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.noticias-listado .noticia-item {
    margin: 0;
    height: 360px;
    width: calc(100% / 3 - 16px);
    transition: var(--transition);
}

.noticias-listado .noticia-item .noticia-link {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    border: 2px solid var(--surface-border);
    border-radius: var(--corner-small);
    padding: 24px;
    background-color: var(--surface);
    margin: 0;
    transition: var(--transition);
}

.noticias-listado .noticia-item .noticia-link:hover {
    border: 2px solid var(--surface-hover-border);
}

.noticias-listado .noticia-item .noticia-link:focus-visible {
    outline: 4px solid var(--button-solid-focus-outline-color);
    outline-offset: 2px;
}

.noticia-item .noticia-link .noticia-categoria {
    height: 18px;
    margin: 0;
    display: flex;
    padding: 1px 8px 0;
    font-size: 11px;
    font-weight: 400;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    color: var(--chip-on-background-color);
    border: 1px solid var(--chip-border-color);
    line-height: 100%;
    border-radius: var(--corner-extra-small);
    align-items: center;
    transition: var(--transition);
}

.noticia-item .noticia-link:hover .noticia-categoria {
    color: var(--chip-hover-on-background-color);
    border: 1px solid var(--chip-hover-border-color);
}

.noticia-item .noticia-link .noticia-titulo {
    font-size: 28px;
    font-weight: 400;
    line-height: 140%;
    height: 274px;
    padding: 0;
    color: var(--on-surface);
    transition: var(--transition);
    text-decoration: underline;
    text-decoration-color: transparent;
    display: flex;
    border-radius: var(--corner-extra-small);
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.noticia-item .noticia-link:hover .noticia-titulo {
    text-decoration-color: currentColor;
}

/* paginación noticias */
.noticias-paginacion {
    display: flex;
    gap: 16px;
    align-items: center;
    justify-content: center;
    margin-top: 160px;
}

.item-pagination {
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    color: var(--on-background);
    height: 68px;
    min-width: 56px;
    padding: 0 16px;
    border: 2px solid var(--button-solid-border-color);
    border-radius: var(--corner-small);
    transition: var(--transition-btn);
    overflow: hidden;
}

.item-pagination:hover {
    color: var(--button-solid-on-background-color);
}

.item-pagination:focus-visible {
    outline: 4px solid var(--button-solid-focus-outline-color);
    outline-offset: 4px;
}

.item-pagination::before {
    content: "";
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--button-solid-background-color);
    transition: var(--transition-btn);
    z-index: -1;
}

.item-pagination:hover::before {
    top: 0;
}

.item-pagination.disabled,
.item-pagination.disabled:hover {
    border-color: var(--button-solid-disabled-border-color);
    color: var(--button-solid-disabled-on-surface-color);
    background: none;
    cursor: default;
}

.item-pagination.current,
.item-pagination.current:hover {
    background-color: var(--button-solid-active-background-color);
    color: var(--on-background);
    cursor: default;
}

.item-pagination.dots,
.item-pagination.dots:hover {
    border: none;
    color: var(--on-background);
    padding: 0;
    min-width: inherit;
    cursor: default;
}

.item-pagination.disabled::before,
.item-pagination.current::before,
.item-pagination.dots::before {
    content: none;
}

.item-pagination .material-symbols-rounded {
    font-size: 32px;
}

/* ············································································responsive 1170px ······································ */
@media (max-width: 1170px) {
    .noticias-listado .noticia-item {
        width: calc(100% / 2 - 12px);
    }
}

/* ············································································responsive 1023px ······································ */
@media (max-width: 1023px) {
    .noticias-listado .noticia-item {
        height: 320px;
    }

    .noticia-item .noticia-titulo {
        font-size: 24px;
        height: 234px;
    }
}

/* ············································································responsive 767px ······································ */
@media (max-width: 767px) {
    .noticias-listado {
        flex-wrap: wrap;
        gap: 16px;
    }

    .noticias-listado .noticia-item {
        height: auto;
        width: 100%;
    }

    .noticias-listado .noticia-item .noticia-link {
        gap: 8px;
        padding: 16px;
    }

    .noticia-item .noticia-link .noticia-categoria {
        padding: 1px 4px 0;
        font-size: 8px;
        height: 14px;
    }

    .noticia-item .noticia-link .noticia-titulo {
        font-size: 16px;
        height: auto;
        padding-bottom: 0;
    }

    .noticias-paginacion {
        gap: 8px;
        margin-top: 80px;
    }

    .item-pagination {
        font-size: 14px;
        height: 32px;
        min-width: 24px;
        padding: 0 8px;
    }

    .item-pagination.next,
    .item-pagination.prev {
        padding: 0 2px;
    }

    .item-pagination .material-symbols-rounded {
        font-size: 20px;
    }
}

/* ============================================ close: ESTILOS LISTADO NOTICIAS ============================================ */


/* ============================================ close: ESTILOS NOTICIA POST ============================================ */

/* quitar color de fondo del post */
.single-post #main-content {
    background-color: transparent;
}

/* categoría noticia */
.category-post {
    height: 18px;
    margin: 0;
}

.category-post a {
    display: inline-flex;
    padding: 1px 8px 0;
    font-size: 11px;
    font-weight: 400;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    color: var(--chip-on-background-color);
    border: 1px solid var(--chip-border-color);
    line-height: 100%;
    border-radius: var(--corner-extra-small);
    align-items: center;
    height: 18px;
    transition: var(--transition);
}

.category-post a:hover {
    color: var(--chip-hover-on-background-color);
    border: 1px solid var(--chip-hover-border-color);
}

/* título noticia */
.title-page.title-post h1 {
    font-size: 64px;
    line-height: 110%;
}

.title-page.title-post h1::before {
    bottom: -8px;
    height: 32px;
}

/* contenido noticia */
.post-content p {
    line-height: 150%;
}

.post-content h2 {
    margin: 32px 0 16px;
    font-size: 24px;
    font-weight: 500;
    line-height: 120%;
}

.post-content img {
    border-radius: var(--corner-small);
    max-width: 80%;
    margin: 24px 0 16px;
}

.post-content blockquote {
    width: calc(100% - 24px);
    margin: 8px 0 48px 24px;
    max-width: 70%;
}

.post-content em {
    font-size: 12px;
    display: flex;
    margin-top: 24px;
    padding-left: 20px;
    font-weight: 300;
    position: relative;
    font-style: normal;
}

.post-content em::before {
    content: "visibility";
    font-family: "Material Symbols Rounded";
    font-size: 14px;
    position: absolute;
    top: 0px;
    left: 0px;
    color: var(--on-footer-light);
}

/* navegación noticias */
.navigation-buttons.navigation-noticias {
    padding-left: 0;
    padding-right: 0;
}

/* ············································································responsive 1023px ······································ */
@media (max-width: 1023px) {
    .title-page.title-post h1 {
        font-size: 56px;
        line-height: 110%;
    }

    .title-page.title-post h1::before {
        bottom: -4px;
        height: 24px;
    }
}

/* ············································································responsive 767px ······································ */
@media (max-width: 767px) {
    .title-page.title-post h1 {
        font-size: 32px;
    }

    .title-page.title-post h1::before {
        height: 16px;
    }

    .post-content blockquote {
        max-width: 85%;
    }

    .post-content h2 {
        margin: 28px 0 8px;
        font-size: 18px;
    }

    .post-content ul li {
        padding-left: 24px;
    }

    .post-content ul li::before {
        left: 8px;
    }

    .post-content img {
        max-width: 85%;
        margin: 24px 0 8px;
    }
}

/* ============================================ close: ESTILOS NOTICIA POST radio_button_checked============================================ */